io.agora.rtc

## Class SenderOptions

- java.lang.Object
- - io.agora.rtc.SenderOptions

-     public class SenderOptions
      extends java.lang.Object

  Options for sender configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `ccMode` Congestion control mode
    `private int` | `codecType` Codec type
    `private int` | `targetBitrate` Target bitrate

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SenderOptions()` Default constructor for SenderOptions.
    `SenderOptions(int ccMode, int codecType, int targetBitrate)` Constructs SenderOptions with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCcMode()` Gets the congestion control mode.
    `int` | `getCodecType()` Gets the codec type.
    `int` | `getTargetBitrate()` Gets the target bitrate (Kbps).
    `void` | `setCcMode(int ccMode)` Sets the congestion control mode.
    `void` | `setCodecType(int codecType)` Sets the codec type.
    `void` | `setTargetBitrate(int targetBitrate)` Sets the target bitrate (Kbps).
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ccMode

          private int ccMode

      Congestion control mode

    - #### codecType

          private int codecType

      Codec type

    - #### targetBitrate

          private int targetBitrate

      Target bitrate

  - ### Constructor Detail

    - #### SenderOptions

          public SenderOptions()

      Default constructor for SenderOptions.

    - #### SenderOptions

          public SenderOptions(int ccMode,
                               int codecType,
                               int targetBitrate)

      Constructs SenderOptions with all parameters.
      Parameters:
        `ccMode` - Congestion control mode
        `codecType` - Codec type
        `targetBitrate` - Target bitrate (Kbps)

  - ### Method Detail

    - #### getCcMode

          public int getCcMode()

      Gets the congestion control mode.
      Returns:
        Congestion control mode

    - #### setCcMode

          public void setCcMode(int ccMode)

      Sets the congestion control mode.
      Parameters:
        `ccMode` - Congestion control mode

    - #### getCodecType

          public int getCodecType()

      Gets the codec type.
      Returns:
        Codec type

    - #### setCodecType

          public void setCodecType(int codecType)

      Sets the codec type.
      Parameters:
        `codecType` - Codec type

    - #### getTargetBitrate

          public int getTargetBitrate()

      Gets the target bitrate (Kbps).
      Returns:
        Target bitrate (Kbps)

    - #### setTargetBitrate

          public void setTargetBitrate(int targetBitrate)

      Sets the target bitrate (Kbps).
      Parameters:
        `targetBitrate` - Target bitrate (Kbps)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`